#ifndef _CONDITIONDATA_H
#define _CONDITIONDATA_H

#include <lal/ComplexFFT.h>

#ifdef  __cplusplus
extern "C" {
#endif

NRCSID (CONDITIONDATAH, "$Id: FCTConditionData.h,v 1.3 2001/05/14 21:35:19 lwen Exp $");

#define CONDITIONDATA_ENULL     1
#define CONDITIONDATA_ENNUL     2
#define CONDITIONDATA_EALOC     3
#define CONDITIONDATA_EARGS     4
#define CONDITIONDATA_EINPUT    5
#define CONDITIONDATA_EDATZ     6

#define CONDITIONDATA_MSGENULL   "Null pointer"
#define CONDITIONDATA_MSGENNUL   "Non-null pointer"
#define CONDITIONDATA_MSGEALOC   "Memory allocation error"
#define CONDITIONDATA_MSGEARGS   "Wrong number of arguments"
#define CONDITIONDATA_MSGEINPUT  "Wrong data names in InPut structure"
#define CONDITIONDATA_MSGEDATZ    "Got less data than expected"

  /* #define INPUTNAME_IFODMRO   "ifodmro" */
#define INPUTNAME_IFODMRO "channel"
#define INPUTNAME_SPECTRUM  "spectrum"
#define INPUTNAME_RESPONSE  "response"

#ifdef  __cplusplus
}
#endif

#endif /* _CONDITIONDATA_H */
